Loading...
Searching...
No Matches
EST_Content_Data Class Reference

`#include <include/EST_Contents.h>`

## Public Member Functions

| EST_Content_Data (void *d, void(*f)(void *d))
int | unref ()
int | ref ()
int | the_refs ()
void * | contents ()
EST_Content_Data & | operator= (const EST_Content_Data &c)

## Detailed Description

A class for containing some other (arbitrary) class
Not general enough to call itself a run-time type system
Is designed to solve the problem of holding user
specified information. Keeps reference count to know when to delete contents

This is done on two levels EST_Contents and Contents_Data

Definition at line 50 of file EST_Contents.h.

## Constructor & Destructor Documentation

## EST_Content_Data()

EST_Content_Data::EST_Content_Data | ( | void * | d,
|  | void(* | f )(void *d) )

inline

Definition at line 56 of file EST_Contents.h.

## ~EST_Content_Data()

EST_Content_Data::~EST_Content_Data | ( |  | ) |

inline

Definition at line 57 of file EST_Contents.h.

## Member Function Documentation

## unref()

int EST_Content_Data::unref | ( |  | ) |

inline

Definition at line 59 of file EST_Contents.h.

## ref()

int EST_Content_Data::ref | ( |  | ) |

inline

Definition at line 61 of file EST_Contents.h.

## the_refs()

int EST_Content_Data::the_refs | ( |  | ) |

inline

Definition at line 63 of file EST_Contents.h.

## contents()

void * EST_Content_Data::contents | ( |  | ) |

inline

Definition at line 64 of file EST_Contents.h.

## operator=()

EST_Content_Data & EST_Content_Data::operator= | ( | const EST_Content_Data & | c | ) |

inline

Definition at line 65 of file EST_Contents.h.

The documentation for this class was generated from the following file:

- include/EST_Contents.h